Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.step.errorhandling
Class CompositeFileErrorHandler

    java.lang.Object
      org.pentaho.di.trans.step.errorhandling.CompositeFileErrorHandler

All Implemented Interfaces:
  FileErrorHandler

    public class CompositeFileErrorHandler

extends Object
implements FileErrorHandler

Constructor Summary
`CompositeFileErrorHandler(List<FileErrorHandler> handlers)`

Method Summary
`void` | `close()` This method closes the handler;
`void` | `handleFile(org.apache.commons.vfs.FileObject file)` Tells the handler which file is being processed.
`void` | `handleLineError(long lineNr, String filePart)` This method handles an error when processing the line with corresponding lineNr.
`void` | `handleNonAccessibleFile(org.apache.commons.vfs.FileObject file)` This method handles a file that is required, but is not accessible.
`void` | `handleNonExistantFile(org.apache.commons.vfs.FileObject file)` This method handles a file that is required, but does not exist.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeFileErrorHandler

    public CompositeFileErrorHandler(List<FileErrorHandler> handlers)

Method Detail

### handleFile

    public void handleFile(org.apache.commons.vfs.FileObject file)
                    throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `FileErrorHandler`
  Tells the handler which file is being processed.

  Specified by:
    `handleFile` in interface `FileErrorHandler`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### handleLineError

    public void handleLineError(long lineNr,
                                String filePart)
                         throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `FileErrorHandler`
  This method handles an error when processing the line with corresponding lineNr.

  Specified by:
    `handleLineError` in interface `FileErrorHandler`
    `filePart` - allows us to split error according to a filePart
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### close

    public void close()
               throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `FileErrorHandler`
  This method closes the handler;

  Specified by:
    `close` in interface `FileErrorHandler`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### handleNonExistantFile

    public void handleNonExistantFile(org.apache.commons.vfs.FileObject file)
                               throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `FileErrorHandler`
  This method handles a file that is required, but does not exist.

  Specified by:
    `handleNonExistantFile` in interface `FileErrorHandler`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

### handleNonAccessibleFile

    public void handleNonAccessibleFile(org.apache.commons.vfs.FileObject file)
                                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `FileErrorHandler`
  This method handles a file that is required, but is not accessible.

  Specified by:
    `handleNonAccessibleFile` in interface `FileErrorHandler`
  Throws:
    `org.pentaho.di.core.exception.KettleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD